enum ExerciseAbility { oneRepMax, endurance, running, mini_test_set, paralell_test, training, none }

extension ExerciseAbilityExt on ExerciseAbility {
  String enumToString() => this.toString().split(".").last;
  bool equalsTo(ExerciseAbility ability) => this.toString() == ability.toString();
  bool equalsStringTo(String ability) => this.enumToString() == ability;
  String get description {
    switch (this) {
      case ExerciseAbility.endurance:
        return "Endurance";
      case ExerciseAbility.oneRepMax:
        return "One Rep Max";
      case ExerciseAbility.running:
        return "Running";
      case ExerciseAbility.mini_test_set:
        return "Compact Test";
      case ExerciseAbility.paralell_test:
        return "Custom Test";
      case ExerciseAbility.training:
        return "Training";
      default:
        return "Compact Test";
    }
  }
}
